> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available frameworks

> Lists available frameworks.



## OpenAPI

````yaml /reference/manage-vanta.json get /frameworks
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /frameworks:
    get:
      tags:
        - Frameworks
      summary: List available frameworks
      description: Lists available frameworks.
      operationId: ListFrameworks
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Framework_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: soc2
                          displayName: SOC 2
                          shorthandName: SOC 2
                          description: >-
                            AICPA standardized framework to prove a company’s
                            security posture to prospective customers. For all
                            US and international businesses.
                          numControlsCompleted: 43
                          numControlsTotal: 86
                          numDocumentsPassing: 7
                          numDocumentsTotal: 16
                          numTestsPassing: 21
                          numTestsTotal: 46
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: aXNvMjcwMDFfMjAyMg==
                        endCursor: aXNvMjcwMDFfMjAyMg==
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_Framework_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/Framework'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    Framework:
      properties:
        id:
          type: string
          description: The framework's unique ID.
        displayName:
          type: string
          description: The framework's display name.
        shorthandName:
          type: string
          description: The short version of the framework's display name.
        description:
          type: string
          description: The framework's description.
        numControlsCompleted:
          type: number
          format: double
          description: The number of completed controls in the framework.
        numControlsTotal:
          type: number
          format: double
          description: The total number of controls in the framework.
        numDocumentsPassing:
          type: number
          format: double
          description: The number of passing documents in the framework.
        numDocumentsTotal:
          type: number
          format: double
          description: The total number of documents in the framework.
        numTestsPassing:
          type: number
          format: double
          description: The number of passing tests in the framework.
        numTestsTotal:
          type: number
          format: double
          description: The total number of tests in the framework.
      required:
        - id
        - displayName
        - shorthandName
        - description
        - numControlsCompleted
        - numControlsTotal
        - numDocumentsPassing
        - numDocumentsTotal
        - numTestsPassing
        - numTestsTotal
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````